Bug 59699 - Xamarin Test Recorder for Mac cannot install DeviceAgent
Summary: Xamarin Test Recorder for Mac cannot install DeviceAgent
Status: RESOLVED DOWNSTREAM
Alias: None
Product: iOS
Classification: Xamarin
Component: General (show other bugs)
Version: XI 11.0 (xcode9)
Hardware: PC Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-09-22 15:48 UTC by ry.lowry
Modified: 2017-10-03 18:24 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
A text file containing more complete error messages (8.35 KB, text/plain)
2017-09-22 15:48 UTC, ry.lowry
Details
Screenshot of plugin-out-of-date error (24.80 KB, image/png)
2017-09-22 15:56 UTC, ry.lowry
Details

Description ry.lowry 2017-09-22 15:48:05 UTC
Created attachment 24897 [details]
A text file containing more complete error messages

I cannot launch an app to record tests after updating to XCode 9 and Visual Studio Version 7.1.5 (build 2). The test recorder fails to install the device agent on simulators with iOS 11, and fails to pass a version check for older iOS versions such as 10.3.1 or 9.0.

When building for iPhone8, iOS 11.0, the device agent fails to install with a message about unsupported architectures. The Xamarin.UITest 2.1.2 package recently fixed that on the Visual Studio side, but it seems like the test recorder hasn't been similarly updated.

For older iOS versions, 10.3.1 and 9.0, I have to manually start the simulator myself. If I don't pre-launch the simulator, there are errors such as "Simulator must be booted to install an app - found state: Shutting Down". Once I get the simulator manually started and the app installs to run, it will launch but then fail with a message that reads "Out of date recorder plugin detected. Please update and try again." I'm not sure what that means. Don't I have the most up to date recorder version available?

-----------------------------------------------------------------------------------
Test Recorder Version 1.2.1 (1.0)

Visual Studio project nuget package versions:
iOS:
    - Xamarin.TestCloud.Agent 0.21.1
    - Xamarin.UITest 2.1.2
UITest
    - Xamarin.UITest 2.1.2

-----------------------------------------------------------------------------------
Visual Studio Version information

=== Visual Studio Professional 2017 for Mac ===

Version 7.1.5 (build 2)
Installation UUID: 3ecb684b-b86a-4754-a34a-7a22a0ec600f
Runtime:
	Mono 5.2.0.224 (d15-3/14f2c81) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 502000224

=== NuGet ===

Version: 4.3.0.2418

=== .NET Core ===

Runtime: Not installed
SDK: Not installed
MSBuild SDKs: /Library/Frameworks/Mono.framework/Versions/5.2.0/lib/mono/msbuild/15.0/bin/Sdks

=== Xamarin.Profiler ===

Version: 1.5.5
Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

=== Apple Developer Tools ===

Xcode 9.0 (13247)
Build 9A235

=== Xamarin.Mac ===

Version: 3.6.3.3 (Visual Studio Professional)

=== Xamarin.Android ===

Version: 7.4.5.1 (Visual Studio Professional)
Android SDK: /Users/ryl/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		6.0 (API level 23)
		7.0 (API level 24)
		7.1 (API level 25)

SDK Tools Version: 25.2.5
SDK Platform Tools Version: 25.0.5
SDK Build Tools Version: 25.0.3

Java SDK: /usr
java version "1.8.0_121"
Java(TM) SE Runtime Environment (build 1.8.0_121-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.121-b13, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

=== Xamarin Inspector ===

Version: 1.3.0
Hash: 8c298a5
Branch: 1.3-release
Build date: Thu, 14 Sep 2017 21:21:26 GMT
Client compatibility: 1

=== Xamarin.iOS ===

Version: 11.0.0.0 (Visual Studio Professional)
Hash: 152b654a
Branch: xcode9
Build date: 2017-09-15 02:25:56-0400

=== Build Information ===

Release ID: 701050002
Git revision: 7afedcaef8e7542e70e3cf8f9bdb26938b8c0876
Build date: 2017-09-15 08:39:58-04
Xamarin addins: 3262aadf811a18c12eac6742532d052b0139a808
Build lane: monodevelop-lion-d15-3-xcode9

=== Operating System ===

Mac OS X 10.12.6
Darwin 16.7.0 Darwin Kernel Version 16.7.0
    Thu Jun 15 17:36:27 PDT 2017
    root:xnu-3789.70.16~2/RELEASE_X86_64 x86_64

=== Enabled user installed addins ===

xUnit.NET 2 testing framework support 0.7.5
Comment 1 ry.lowry 2017-09-22 15:56:38 UTC
Created attachment 24898 [details]
Screenshot of plugin-out-of-date error
Comment 2 Manuel de la Peña 2017-09-25 17:07:09 UTC
Thank you very much for the report.

Currently, UITest issues are handled through the Test Cloud support team and are not tracked through Bugzilla. In order for us to assist in investigation of your issue, could you navigate to testcloud.xamarin.com then click the "Support" link up at the top right of the page to submit your issue? That'll get the issue to the Test Cloud team who will be able to assist further.

Note You need to log in before you can comment on or make changes to this bug.